API 參考
取消商戶訂閱
立即取消 StableOps 商戶訂閱或安排期末取消,區分目前權益與未付帳單的處理方式,操作後核對訂閱和帳單狀態。訂閱按週期開票,使用者仍需主動用錢包付款,自動開票不代表自動扣款。商戶應結合帳單結算、目前帳期及訂閱狀態管理服務許可權,不依賴前端返回判斷成功。
POST
/v1/merchant/subscriptions/{id}/cancelAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Path Parameters
id*unknown
Merchant subscription id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/merchant/subscriptions/{id}/cancel" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"merchant_user_id": "string",
"plan_id": "string",
"status": "incomplete",
"current_period_start": "2019-08-24T14:15:22Z",
"current_period_end": "2019-08-24T14:15:22Z",
"cancel_at_period_end": true,
"pending_plan_id": "string",
"pending_plan_change_at": "2019-08-24T14:15:22Z",
"trial_ends_at": "2019-08-24T14:15:22Z",
"canceled_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}這篇文件怎麼樣?
最後更新